diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 656f86c..2940d45 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -33904,10 +33904,10 @@ GenExEuclid(R,BP) : C == T
     if R has IntegerNumberSystem then
       reduction(u:BP,p:R):BP ==
         p = 0 => u
-        map(symmetricRemainder(#1,p),u)
+        map(x +-> symmetricRemainder(x,p),u)
     else reduction(u:BP,p:R):BP ==
         p = 0 => u
-        map(#1 rem p,u)
+        map(x +-> x rem p,u)
 
     merge(p:R,q:R):Union(R,"failed") ==
          p = q => p
@@ -33943,7 +33943,7 @@ GenExEuclid(R,BP) : C == T
       euclideanSize(lmodk) > bound => "failed"
       d:=degree err
       ftab:Vector L FP :=
-        map(reduceList(#1,lmod),table)$VectorFunctions2(List BP,List FP)
+        map(x +-> reduceList(x,lmod),table)$VectorFunctions2(List BP,List FP)
       sln:L FP:=[0$FP for xx in ftab.1 ]
       for i in 0 .. d |(cc:=coefficient(err,i)) ^=0 repeat
         sln:=[slp+reduce(cc::BP,lmod)*pp
@@ -34014,7 +34014,7 @@ GenExEuclid(R,BP) : C == T
       solveid(m:BP,pmod:R,table:Vector L BP) : Union(L BP,"failed") ==
         d:=degree m
         ftab:Vector L FP:=
-          map(reduceList(#1,pmod),table)$VectorFunctions2(List BP,List FP)
+          map(x+->reduceList(x,pmod),table)$VectorFunctions2(List BP,List FP)
         lpolys:L BP:=table.(#table)
         sln:L FP:=[0$FP for xx in ftab.1]
         for i in 0 .. d | coefficient(m,i)^=0 repeat
diff --git a/changelog b/changelog
index aa219c6..779c2e5 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090602 tpd src/axiom-website/patches.html 20090602.02.tpd.patch
+20090602 tpd books/bookvol10.4 GENEEZ +-> conversion
 20090602 tpd src/axiom-website/patches.html 20090602.01.tpd.patch
 20090602 tpd books/bookvol10.4 GENUPS +-> conversion
 20090601 tpd src/axiom-website/patches.html 20090601.07.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 204d052..e50c0a8 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1419,5 +1419,7 @@ bookvol10.4 GHENSEL +-> conversion<br/>
 bookvol10.4 GENPGCD +-> conversion<br/>
 <a href="patches/20090602.01.tpd.patch">20090602.01.tpd.patch</a>
 bookvol10.4 GENUPS +-> conversion<br/>
+<a href="patches/20090602.02.tpd.patch">20090602.02.tpd.patch</a>
+bookvol10.4 GENEEZ +-> conversion<br/>
  </body>
 </html>
